Skip to main content
SLO & Service Quality/SLO

GetErrorBudget

Get the current error budget status including consumption and burn rates.

GET/api/v1/slo/objectives/{sloId}/error-budget

Operation ID

GetErrorBudget

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • sloId
    StringRequired

    Identifier of the SLO objective to retrieve the error budget for.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • sloId
    String

    Identifier of the SLO objective this error budget belongs to.

    Example: slo-xyz789

  • totalBudgetMinutes
    Long

    Total allowable downtime minutes within the compliance window.

    Example: 43.8

  • consumedMinutes
    Long

    Minutes of downtime already consumed from the error budget.

    Example: 15.3

  • remainingMinutes
    Long

    Minutes of error budget still available.

    Example: 28.5

  • consumedPct
    Long

    Percentage of the error budget already consumed.

    Example: 34.9

  • burnRate1h
    Long

    Error budget burn rate over the last 1 hour (multiplier relative to ideal).

    Example: 1.2

  • burnRate6h
    Long

    Error budget burn rate over the last 6 hours.

    Example: 0.8

  • burnRate24h
    Long

    Error budget burn rate over the last 24 hours.

    Example: 0.6

  • projectedExhaustionAt
    String

    Projected timestamp when the error budget will be fully exhausted (optional).

    Example: 2026-01-15T08:00:00Z

  • updatedAt
    String

    Timestamp when this error budget status was last computed.

    Example: 2026-01-15T08:00:00Z